import request from '@/utils/request'

// 查询用户提现管理列表
export function listUserextract(query) {
  return request({
    url: '/his/userExtract/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现管理详细
export function getUserextract(extractId) {
  return request({
    url: '/his/userExtract/' + extractId,
    method: 'get'
  })
}

// 新增用户提现管理
export function addUserextract(data) {
  return request({
    url: '/his/userExtract',
    method: 'post',
    data: data
  })
}

// 修改用户提现管理
export function updateUserextract(data) {
  return request({
    url: '/his/userExtract',
    method: 'put',
    data: data
  })
}

// 删除用户提现管理
export function delUserextract(extractId) {
  return request({
    url: '/his/userExtract/' + extractId,
    method: 'delete'
  })
}

// 导出用户提现管理
export function exportUserextract(query) {
  return request({
    url: '/his/userExtract/export',
    method: 'get',
    params: query
  })
}